Package twisted :: Package protocols :: Module sux

[frames | no frames]

## Module twisted.protocols.sux

*S*mall, *U*ncomplicated *X*ML.

This is a very simple implementation of XML/HTML as a network protocol. It is not at all clever. Its main features are that it does not:

- support namespaces
- mung mnemonic entity references
- validate
- perform *any* external actions (such as fetching URLs or writing files) under *any* circumstances
- has lots and lots of horrible hacks for supporting broken HTML (as an option, they're not on by default).

Classes
`XMLParser` |

Exceptions
`ParseError` |

Function Summary
| ``nop`(*args, **kw)` Do nothing.
| `prefixedMethodClassDict(clazz, prefix)`
| `prefixedMethodObjDict(obj, prefix)`
| `unionlist(*args)`
| `zipfndict(*args, **kw)`

Variable Summary
`str` | `identChars` = `'.-_:'`
`str` | `lenientIdentChars` = `'.-_:;+#/%~'`

Function Details

### nop(*args, **kw)

Do nothing.

Variable Details

### identChars

  Type:
    `str`
  Value:

        '.-_:'

### lenientIdentChars

  Type:
    `str`
  Value:

        '.-_:;+#/%~'

Generated by Epydoc 2.0 on Sat May 15 20:08:31 2004 | http://epydoc.sf.net